









//********* function prototype *****************************
void  DTL_carrier_control(void);
void  DTL_timer_control(void);
void  DTL_User_CustomIO_init(void);
void  DTL_CAN_ICS_Timer(void);

#define  DTLabs(d)    (((d)>0)?(d):(-(d)))


//********* Selections ******************************

//*******   PCB selection   *************************
//#define  PCB_A1F       // A1 Final 24V
//#define  PCB_A1F48V_54L    // A1 Final 48V 54L
  #define  PCB_A1F48V_23L    // A1 Final 48V 23L

//*******   MOSFET selection   **********************
//#define  MOSFET_BSC012N06NS     // For 24V (Default 24V)
//#define  MOSFET_STL225N6F7AG    // For 24V (Not recommend)
//#define  MOSFET_S1RP6           // For 48V (Not recommend)
  #define  MOSFET_IPT015N10N5     // For 48V (Default 48V)

//*******   Motor selection   ***********************
//#define  MOTOR_TYPE_24V_SN001      // Metal case
//#define  MOTOR_TYPE_48V_SN001      // Metal case (54L)
  #define  MOTOR_TYPE_48V_SN002_23L  // Metal case (23L)

//*******   CAN selection   *************************
  #define  MAHLE_SPEC6214
//#define  MAHLE_SPEC6232

//*******   MODULATION selection  *******************
//#define  MOD_THREE_PHASE
//#define  MOD_LOWSIDE_TWO_PHASE
  #define  MOD_HIGHSIDE_TWO_PHASE

//*****  Motor selection *******************************
#if   defined(MOTOR_TYPE_24V_SN001)
  #define   F_MOTOR_POLE_PAIRS  (4)
  #define   F_MOTOR_RA          (0.030f)      // Not used
  #define   F_MOTOR_LD          (0.0000265f)  // Not used
  #define   F_MOTOR_LQ          (0.0000265f)  // Not used
  #define   F_MOTOR_KE          (0.0108f)     // Not used

  #define   S_SENSOR_DIRECTION  (1)           // 
  #define   F_SENSOR_OFFSET     (-2.65f)      // @B134 -2.65

#elif defined(MOTOR_TYPE_48V_SN001)
  #define   F_MOTOR_POLE_PAIRS  (4)
  #define   F_MOTOR_RA          (0.056f)      // Not used
  #define   F_MOTOR_LD          (0.000147f)   // Not used
  #define   F_MOTOR_LQ          (0.000157f)   // Not used
  #define   F_MOTOR_KE          (0.0214f)     // Not used

  #define   S_SENSOR_DIRECTION  (1)
  #define   F_SENSOR_OFFSET     (1.75f)

#elif defined(MOTOR_TYPE_48V_SN002_23L)
  #define   F_MOTOR_POLE_PAIRS  (4)
  #define   F_MOTOR_RA          (0.056f)      // Not used dummy
  #define   F_MOTOR_LD          (0.000147f)   // Not used dummy
  #define   F_MOTOR_LQ          (0.000157f)   // Not used dummy
  #define   F_MOTOR_KE          (0.0214f)     // Not used dummy

  #define   S_SENSOR_DIRECTION  (-1)
  #define   F_SENSOR_OFFSET     (1.60f)

#endif

//***** Test condition *********************************
  #define   F_MOTOR_SPEED_REF    (0.0f)
  #define   F_MOTOR_TEST_SPEED   (10.0f)
  
//****************************************************************************************
//***** Define parameters for 24V type ***************************************************
//****************************************************************************************
#if    defined(PCB_A1F)
  #define   F_KP_ID             (0.15f)    // B060=0.20  B064=0.01 B129=0.15
  #define   F_KI_ID             (0.02f)    // B060=0.10  B064=0.20 B129=0.15
  #define   F_ID_INTEG          (24.0f)    // 
  #define   F_KP_IQ             (0.15f)    // B060=0.20  B064=0.01 B071=0.10 B074=0.01
  #define   F_KI_IQ             (0.02f)    // B060=0.10  B064=0.20 B071=0.02
  #define   F_IQ_INTEG          (24.0f)    //

  #define   F_KP_SPEEDLOW       (0.050f)   // 0.1   @B071 (S), 0.02 B075()
  #define   F_KI_SPEEDLOW       (0.010f)   // 0.001 @B071 (S)

  #if defined(MOD_HIGHSIDE_TWO_PHASE)
    #define   F_MOD_LIMIT         (0.91f)    // Until B058 0.96 B073=0.94  B074=0.91
    #define   F_MOD_LIMIT_WEAKEN  (-0.95f)   // B139  -0.95
  #else  // LOWSIDE_TWO_PHASE or THREE_PHASE
    #define   F_MOD_LIMIT         (0.91f)    // Until B058 0.96 B073=0.94  B074=0.91
    #define   F_MOD_LIMIT_WEAKEN  (0.89f)    // Until B058 0.94 B073=0.92  B074=0.89
  #endif

  #define   F_ACCEL_RPM_LIMIT   (1000.0f)
  #define   F_DECEL_RPM_LIMIT   (5000.0f)
  #define   F_SPEED_LIMIT       (5500.0f)
  #define   F_SPEED_LPF         (0.997f)   // B071 0.997 B072 0.999 B075 0.997

  #define   F_REF_ID_NEGATIVE   (-50.0f)
  #define   F_REF_ID_ACCEL      (50.0f)

  #define   F_VDC_LPF          (0.01f)  
  
  #define   F_IQ_LIMIT           (95.0f)   // 75 -> 95  @B067
  #define   F_ERROR_IAC_OC_LEVEL (105.0f)  // 85 -> 105 @B067
  #define   F_ERROR_VDC_OV_LEVEL (36.0f)
  #define   F_ERROR_VDC_UV_LEVEL  (5.0f)
  #define   F_ERROR_OH_LEVEL     (60.0f)   // 

  #define   F_DIFF_MAXMID_LIMIT  (0.05f)
  #define   U_ADDELAY            (200UL)   // 220 @B100
  
  #define   F_STARTUP_VOLTAGE    (15.0f)

  #define   F_IDC_KLPF           (0.997f)
  #define   F_IDC_CALC_KLPF      (0.997f)

  #if    defined(MOSFET_BSC012N06NS)
    #define   DRV_REG2       (0x400)       // Driver Control Register
                                           //  OCP_ACT=1,
    #define   DRV_REG3       (0x343)       // Gate Drive HS Register
    #define   DRV_REG4       (0x332)       // Gate Drive LS Register
    #define   DRV_REG5       (0x228)       // OCP Control Register
                                           //  b10 :0  :VDS_OCP retry 0:8ms, 1:50us
                                           //  b9-8:10 :Deadtime      0:50ns,01:100ns,10:200ns,11:400ns
                                           //  b7-6:00 :OCP_mode 00:Latch,01:Retry,10:OnlyReport,11:Disable
                                           //  b5-4:00 :OCP deglitch:0:1us,1:2us,2:4us,3:8us
                                           //  b3-0:4  :4:0.1V, 5=0.2V, 6=0.3V, 8=0.5V, D=1V, F=2V
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #elif  defined(MOSFET_STL225N6F7AG)
    #define   DRV_REG2       (0x000)       // Driver Control Register
    #define   DRV_REG3       (0x343)       // Gate Drive HS Register
    #define   DRV_REG4       (0x332)       // Gate Drive LS Register
    #define   DRV_REG5       (0x2FF)       // OCP Control Register
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #endif 

//****************************************************************************************
//***** Define parameters for 48V 54L type ***********************************************
//****************************************************************************************
#elif  defined(PCB_A1F48V_54L)
  #define   F_KP_ID             (0.50f)    // B060=0.20  B064=0.01 B071=0.10 B074=0.01
  #define   F_KI_ID             (0.05f)    // B060=0.10  B064=0.20 B071=0.02
  #define   F_ID_INTEG          (48.0f)    // 
  #define   F_KP_IQ             (0.50f)    // B060=0.20  B064=0.01 B071=0.10 B074=0.01
  #define   F_KI_IQ             (0.05f)    // B060=0.10  B064=0.20 B071=0.02
  #define   F_IQ_INTEG          (48.0f)    //

  #define   F_KP_SPEEDLOW       (0.050f)   // 0.1   @B071 (S), 0.02 B075()
  #define   F_KI_SPEEDLOW       (0.010f)   // 0.001 @B071 (S)

  #if defined(MOD_HIGHSIDE_TWO_PHASE)
    #define   F_MOD_LIMIT         (0.91f)    // Until B058 0.96 B073=0.94  B074=0.91
    #define   F_MOD_LIMIT_WEAKEN  (-0.95f)   // Until B138 -0.80, B139 -0.95
  #else  // LOWSIDE_TWO_PHASE or THREE_PHASE
    #define   F_MOD_LIMIT         (0.91f)    // Until B058 0.96 B073=0.94  B074=0.91
    #define   F_MOD_LIMIT_WEAKEN  (0.89f)    // Until B058 0.94 B073=0.92  B074=0.89
  #endif

  #define   F_ACCEL_RPM_LIMIT   (1000.0f)
  #define   F_DECEL_RPM_LIMIT   (1000.0f)  // 
  #define   F_SPEED_LIMIT       (5500.0f)
  #define   F_SPEED_LPF         (0.997f)   // B071 0.997 B072 0.999 B075 0.997

  #define   F_REF_ID_NEGATIVE   (-80.0f)   // -50->-70 @138 -80 @140
  #define   F_REF_ID_ACCEL      (50.0f)

  #define   F_VDC_LPF          (0.01f)
  
  #define   F_IQ_LIMIT           (95.0f)   //  95 @B086, 95 @B138
  #define   F_ERROR_IAC_OC_LEVEL (100.0f)  // 100 @B110
  #define   F_ERROR_VDC_OV_LEVEL (64.0f)
  #define   F_ERROR_VDC_UV_LEVEL (20.0f)
  #define   F_ERROR_OH_LEVEL     (60.0f)   //  70 @B100

  #define   F_DIFF_MAXMID_LIMIT  (0.03f)   // 0.03 @B100
  #define   U_ADDELAY            (200UL)   // 200  @B100
  
  #define   F_STARTUP_VOLTAGE    (30.0f)

  #define   F_IDC_KLPF           (0.997f)
  #define   F_IDC_CALC_KLPF      (0.997f)
  
  #if    defined(MOSFET_S1RP6)
    #define   DRV_REG2       (0x000)       // Driver control
    #define   DRV_REG3       (0x362)       // High side   Src=0.4(6), Sink=0.2(2)
    #define   DRV_REG4       (0x143)       // Low  side   Src=0.3(4), Sink=0.2(2)->0.3(3),TDRIVE=1us
    #define   DRV_REG5       (0x2FF)       // OCP control
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #elif  defined(MOSFET_IPT015N10N5)
    #define   DRV_REG2       (0x400)       // Driver control
    #define   DRV_REG3       (0x3d2)       // High side   Src=0.4(6)->0.9(d), Sink=0.2(2)
    #define   DRV_REG4       (0x143)       // Low  side   Src=0.3(4), Sink=0.2(2)->0.3(3),TDRIVE=1us
    #define   DRV_REG5       (0x22D)       // OCP Control Register
                                           //  b10 :0  :VDS_OCP retry 0:8ms, 1:50us
                                           //  b9-8:10 :Deadtime      0:50ns,01:100ns,10:200ns,11:400ns
                                           //  b7-6:00 :OCP_mode 00:Latch,01:Retry,10:OnlyReport,11:Disable
                                           //  b5-4:00 :OCP deglitch:0:1us,1:2us,2:4us,3:8us
                                           //  b3-0:4  :4:0.1V, 5=0.2V, 6=0.3V, 8=0.5V, D=1V, F=2V
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #endif

//****************************************************************************************
//***** Define parameters for 48V 23L type ***********************************************
//****************************************************************************************
#elif  defined(PCB_A1F48V_23L)
  #define   F_KP_ID             (0.50f)    //
  #define   F_KI_ID             (0.20f)    //
  #define   F_ID_INTEG          (48.0f)    // 
  #define   F_KP_IQ             (0.50f)    //
  #define   F_KI_IQ             (0.20f)    //
  #define   F_IQ_INTEG          (48.0f)    //

  #define   F_KP_SPEEDLOW       (0.050f)   //
  #define   F_KI_SPEEDLOW       (0.010f)   //

  #if defined(MOD_HIGHSIDE_TWO_PHASE)
    #define   F_MOD_LIMIT         (0.91f)    //
    #define   F_MOD_LIMIT_WEAKEN  (-0.95f)   //
  #else  // LOWSIDE_TWO_PHASE or THREE_PHASE
    #define   F_MOD_LIMIT         (0.91f)    //
    #define   F_MOD_LIMIT_WEAKEN  (0.89f)    //
  #endif

  #define   F_ACCEL_RPM_LIMIT   (1000.0f)
  #define   F_DECEL_RPM_LIMIT   (1000.0f)
  #define   F_SPEED_LIMIT       (3000.0f)
  #define   F_SPEED_LPF         (0.997f)   //

  #define   F_REF_ID_NEGATIVE   (-80.0f)   //
  #define   F_REF_ID_ACCEL      (50.0f)

  #define   F_VDC_LPF          (0.01f)
  
  #define   F_IQ_LIMIT           (100.0f)  // 100 @B142
  #define   F_ERROR_IAC_OC_LEVEL (115.0f)  // 115 @B142
  #define   F_ERROR_VDC_OV_LEVEL (64.0f)
  #define   F_ERROR_VDC_UV_LEVEL (20.0f)
  #define   F_ERROR_OH_LEVEL     (70.0f)   //  70 @B100

  #define   F_DIFF_MAXMID_LIMIT  (0.03f)   // 0.03 @B100
  #define   U_ADDELAY            (200UL)   // 200  @B100
  
  #define   F_STARTUP_VOLTAGE    (30.0f)

  #define   F_IDC_KLPF           (0.997f)
  #define   F_IDC_CALC_KLPF      (0.997f)
  
  #if    defined(MOSFET_S1RP6)
    #define   DRV_REG2       (0x000)       // Driver control
    #define   DRV_REG3       (0x362)       // High side   Src=0.4(6), Sink=0.2(2)
    #define   DRV_REG4       (0x143)       // Low  side   Src=0.3(4), Sink=0.2(2)->0.3(3),TDRIVE=1us
    #define   DRV_REG5       (0x2FF)       // OCP control
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #elif  defined(MOSFET_IPT015N10N5)
    #define   DRV_REG2       (0x400)       // Driver control
    #define   DRV_REG3       (0x3d2)       // High side   Src=0.4(6)->0.9(d), Sink=0.2(2)
    #define   DRV_REG4       (0x143)       // Low  side   Src=0.3(4), Sink=0.2(2)->0.3(3),TDRIVE=1us
    #define   DRV_REG5       (0x22D)       // OCP Control Register
                                           //  b10 :0  :VDS_OCP retry 0:8ms, 1:50us
                                           //  b9-8:10 :Deadtime      0:50ns,01:100ns,10:200ns,11:400ns
                                           //  b7-6:00 :OCP_mode 00:Latch,01:Retry,10:OnlyReport,11:Disable
                                           //  b5-4:00 :OCP deglitch:0:1us,1:2us,2:4us,3:8us
                                           //  b3-0:4  :4:0.1V, 5=0.2V, 6=0.3V, 8=0.5V, D=1V, F=2V
    #define   DRV_REG6       (0x27F)       // Reserved for DRV8353
  #endif

#endif 


#if   defined(MAHLE_SPEC6214)
  #define  CANID_0x310       0x310    // EVC->Motor : 10ms
  #define  CANID_0x320       0x320    // Motor->EVC : 10ms
  #define  CANID_0x321       0x321    // (Reserved)
  #define  CANID_0x330       0x330    // Motor->EVC : 100ms
  #define  CANID_0x331       0x331    // (Reserved)
  #define  CANID_0x7A0       0x7A0    // (Reserved)
  #define  CANID_0x7A1       0x7A1    // (Reserved)
#elif defined(MAHLE_SPEC6232)
  #define  CANID_0x310       0x311    // EVC->Motor : 10ms
  #define  CANID_0x320       0x322    // Motor->EVC : 10ms
  #define  CANID_0x321       0x323    // (Reserved)
  #define  CANID_0x330       0x332    // Motor->EVC : 100ms
  #define  CANID_0x331       0x333    // (Reserved)
  #define  CANID_0x7A0       0x7A2    // (Reserved)
  #define  CANID_0x7A1       0x7A3    // (Reserved)
#else
  // No definitions
#endif



//********* Control definition *****************************
#define   S_FLAG_ERROR_OVER_CURRENT       (1)
#define   S_FLAG_ERROR_OVER_VOLTAGE       (2)
#define   S_FLAG_ERROR_UNDER_VOLTAGE      (4)
#define   S_FLAG_ERROR_HW_OVER_CURRENT    (8)
#define   S_FLAG_ERROR_STEP_OUT          (16)
#define   S_FLAG_ERROR_DRV835x           (32)
#define   S_FLAG_ERROR_OVERHEAT          (64)


#define   F_TIMER_FREQ    (1000.0f)
#define   F_CARRIER_FREQ  (16000.0f)

extern float _fIu1AD;
extern float _fIv1AD;
extern float _fIw1AD;
extern float _fSinPAD;
extern float _fSinNAD;
extern float _fCosPAD;
extern float _fCosNAD;
extern float _fVtempAD;
extern float _fIdcAD;
extern volatile float _fVctrlAD;
extern volatile float _fVdcAD;

extern float _fSinAD;
extern float _fCosAD;

extern float _fMuRef;
extern float _fMvRef;
extern float _fMwRef;

extern float _fSpeedRpm;
extern float _fSpeedRpmRef;

extern float _fPe;
extern float _fM;


extern uint16_t _u2ModeSystem;
extern uint16_t _u2FlagError;

//-- State definitions -------------------------------------------
#define  S_MODE_STOP    (0)     // Stop mode
#define  S_MODE_RUN     (1)     // Run mode
#define  S_MODE_ERROR   (2)     // Error mode
#define  S_MODE_ADADJ   (3)     // AD offset adjust mode. Return to MODE_STOP after 128 carrier int
#define  S_MODE_ERRCLR  (4)     // Error clear









