/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2018, 2022 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name        : Config_PORT_user.c
* Component Version: 1.4.0
* Device(s)        : R7F701690
* Description      : This file implements device driver for Config_PORT.
***********************************************************************************************************************/
/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
#include "Config_PORT.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_Config_PORT_Create_UserInit
* Description  : This function adds user code after initializing PORT
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_Config_PORT_Create_UserInit(void)
{
    /* Start user code for user init. Do not edit comment generated here */
#if 0
    /* Set ENCA0EC pin */
    PORT.PIBC10  |= _PORT_SET_BIT8;
    PORT.PBDC10  &= _PORT_CLEAR_BIT8;
    PORT.PM10    &= _PORT_CLEAR_BIT8;
    PORT.PMC10   &= _PORT_CLEAR_BIT8;
    PORT.PIPC10  &= _PORT_CLEAR_BIT8;
    PORT.PFC10   &= _PORT_CLEAR_BIT8;
    PORT.PFCE10  |= _PORT_SET_BIT8;
    PORT.PFCAE10 &= _PORT_CLEAR_BIT8;
    PORT.PM10    |= _PORT_SET_BIT8;
    /* Set ENCA0E0 pin */
    PORT.PIBC10  |= _PORT_SET_BIT9;
    PORT.PBDC10  &= _PORT_CLEAR_BIT9;
    PORT.PM10    &= _PORT_CLEAR_BIT9;
    PORT.PMC10   &= _PORT_CLEAR_BIT9;
    PORT.PIPC10  &= _PORT_CLEAR_BIT9;
    PORT.PFC10   &= _PORT_CLEAR_BIT9;
    PORT.PFCE10  |= _PORT_SET_BIT9;
    PORT.PFCAE10 &= _PORT_CLEAR_BIT9;
    PORT.PMC10   |= _PORT_SET_BIT9;
    PORT.PM10    |= _PORT_SET_BIT9;
    /* Set ENCA0E1 pin */
    PORT.PIBC10  |= _PORT_SET_BIT10;
    PORT.PBDC10  &= _PORT_CLEAR_BIT10;
    PORT.PM10    &= _PORT_CLEAR_BIT10;
    PORT.PMC10   &= _PORT_CLEAR_BIT10;
    PORT.PIPC10  = _PORT_CLEAR_BIT10;
    PORT.PFC10   &= _PORT_CLEAR_BIT10;
    PORT.PFCE10  |= _PORT_SET_BIT10;
    PORT.PFCAE10 &= _PORT_CLEAR_BIT10;
    PORT.PMC10   |= _PORT_SET_BIT10;
    PORT.PM10    |= _PORT_SET_BIT10;   
#endif
    PORT.PPCMD8 = _WRITE_PROTECT_COMMAND;
    PORT.PODC8 = _PORT_PODCn0_PUSH_PULL | _PORT_PODCn1_PUSH_PULL | _PORT_PODCn3_PUSH_PULL | _PORT_PODCn4_PUSH_PULL;
    PORT.PODC8 = (uint32_t) ~(_PORT_PODCn0_PUSH_PULL | _PORT_PODCn1_PUSH_PULL | _PORT_PODCn3_PUSH_PULL | 
                 _PORT_PODCn4_PUSH_PULL);
    PORT.PODC8 = _PORT_PODCn0_PUSH_PULL | _PORT_PODCn1_PUSH_PULL | _PORT_PODCn3_PUSH_PULL | _PORT_PODCn4_PUSH_PULL;
    PORT.PBDC8 = _PORT_PBDCn0_MODE_DISABLED | _PORT_PBDCn1_MODE_DISABLED | _PORT_PBDCn3_MODE_DISABLED | 
                 _PORT_PBDCn4_MODE_DISABLED;
    PORT.PU8 = _PORT_PUn2_PULLUP_OFF | _PORT_PUn5_PULLUP_OFF | _PORT_PUn6_PULLUP_OFF;
    PORT.PD8 = _PORT_PDn2_PULLDOWN_OFF | _PORT_PDn5_PULLDOWN_OFF | _PORT_PDn6_PULLDOWN_OFF;
    PORT.PIS8 = _PORT_PIS8_DEFAULT_VALUE | _PORT_PISn2_TYPE_SHMT4 | _PORT_PISn5_TYPE_SHMT4 | _PORT_PISn6_TYPE_SHMT4;
    PORT.P8 = _PORT_Pn0_OUTPUT_HIGH | _PORT_Pn1_OUTPUT_HIGH | _PORT_Pn3_OUTPUT_LOW | _PORT_Pn4_OUTPUT_LOW;
    PORT.PM8 = _PORT_PM8_DEFAULT_VALUE | _PORT_PMn0_MODE_OUTPUT | _PORT_PMn1_MODE_OUTPUT | _PORT_PMn2_MODE_INPUT | 
               _PORT_PMn3_MODE_OUTPUT | _PORT_PMn4_MODE_OUTPUT | _PORT_PMn5_MODE_INPUT | _PORT_PMn6_MODE_UNUSED;
    PORT.PIBC8 = _PORT_PIBCn2_INPUT_BUFFER_ENABLE | _PORT_PIBCn5_INPUT_BUFFER_ENABLE;
    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
